Skip to content
Streamkap
Esc
↑↓navigate↵open⌘Jpreview

Delete Existing Pipeline

DELETE/pipelines/{pipeline_id}
Authorization
AuthorizationBearer token · headerrequired
Path parameters
pipeline_idstringrequired
Query parameters
waitboolean

When False, return without waiting for the destination connector's configuration to be updated in Kafka Connect; the change is applied asynchronously and the destination's desired_state shows a Pending state until it is. When True (default), wait for the update.

default: true
Responses
200

Successful Response

any
422

Validation Error

detailValidationError[]
Show properties
Array of ValidationError
locstring | integer[]required
Show properties
Array of string | integer
Any of:
string
string
integer
integer
msgstringrequired
typestringrequired
inputany
ctxobject
Request
curl -X DELETE 'https://api.streamkap.com/pipelines/string' \
  -H 'Authorization: Bearer YOUR_TOKEN' \
  -H 'Accept: application/json'
Response
Successful Response